<?php

namespace App\Modules\FactTypeDocument\Application;

use App\Modules\Shared\Domain\Bus\Query\Response;

class FactTypeDocumentResponses implements Response
{

    private array $data;

    public function __construct(FactTypeDocumentResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
